View Issue Details

IDProjectCategoryView StatusLast Update
0003511unrealircdpublic2007-08-20 16:36
ReporterowineAssigned Tostskeeps 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSFreeBSDOS Version6.2
Product Version4.0-devel 
Target VersionFixed in Version4.0-devel 
Summary0003511: Crash On /CONNECT
DescriptionI tried to /CONNECT a server and the daemon crashed.

Backtrace with debug symbols:

(gdb) bt full
#0 0x281a3443 in typeinfo for classbase () from /usr/home/owine/tests/unreal4/lib/libIRCDchannels.so
No symbol table info available.
#1 0x6d281633 in ?? ()
No symbol table info available.
#2 0xbfbf003b in ?? ()
No symbol table info available.
#3 0x0806f4f7 in InspIRCd::InspSocketCull (this=0x808f000) at inspircd.cpp:1190
        x = {_M_node = 0x81eaf00}
#4 0x0806f43c in InspIRCd::DoOneIteration (this=0x808f000, process_module_sockets=true) at inspircd.cpp:1182
        ru = {ru_utime = {tv_sec = 1, tv_usec = 39957}, ru_stime = {tv_sec = 0, tv_usec = 29675}, ru_maxrss = 11240, ru_ixrss = 34800,
  ru_idrss = 165368, ru_isrss = 18560, ru_minflt = 720, ru_majflt = 0, ru_nswap = 0, ru_inblock = 0, ru_oublock = 0, ru_msgsnd = 8, ru_msgrcv = 8,
  ru_nsignals = 0, ru_nvcsw = 17, ru_nivcsw = 401}
#5 0x0806f57c in InspIRCd::Run (this=0x808f000) at inspircd.cpp:1200
No locals.
#6 0x0806f61a in main (argc=1, argv=0xbfbfece0) at inspircd.cpp:1215
No locals.
Steps To Reproduce/CONNECT <server>
TagsNo tags attached.
3rd party modules

Activities

stskeeps

2007-08-11 01:20

reporter   ~0014710

Does it happen every single time? If so, prod me on irc and we'll see what we can do.

stskeeps

2007-08-11 01:41

reporter   ~0014711

At least found one bug related to this - InspIRCd::Close() does not set fd = -1 and the coming delete after this causes InspIRCd::Close() to be called again and the socket is attempted to be closed again (told to insp developers)

stskeeps

2007-08-11 05:56

reporter   ~0014715

Try newest SVN and see if that helps

stskeeps

2007-08-12 07:45

reporter   ~0014720

Duplicated bug in insp, passed on to Brain.

stskeeps

2007-08-12 10:33

reporter   ~0014721

More info so we don't forget the bug.. bug happens when DNS lookup of server gives A and AAAA record under IPv6

Issue History

Date Modified Username Field Change
2007-08-11 00:37 owine New Issue
2007-08-11 00:37 owine QA => Not touched yet by developer
2007-08-11 00:37 owine U4: Need for upstream patch => No need for upstream InspIRCd patch
2007-08-11 00:37 owine U4: Upstream notification of bug => Not decided
2007-08-11 00:37 owine U4: Contributor working on this => None
2007-08-11 01:20 stskeeps Note Added: 0014710
2007-08-11 01:20 stskeeps Status new => feedback
2007-08-11 01:41 stskeeps Note Added: 0014711
2007-08-11 05:56 stskeeps Note Added: 0014715
2007-08-12 07:45 stskeeps U4: Upstream notification of bug Not decided => Shared InspIRCd&Unreal4 issue reported by QA
2007-08-12 07:45 stskeeps Note Added: 0014720
2007-08-12 10:33 stskeeps Note Added: 0014721
2007-08-20 16:36 stskeeps QA Not touched yet by developer => Fixed by developer, needs QA testing
2007-08-20 16:36 stskeeps U4: Need for upstream patch No need for upstream InspIRCd patch => Upstream fixed issue before us
2007-08-20 16:36 stskeeps Status feedback => resolved
2007-08-20 16:36 stskeeps Fixed in Version => 4.0-devel
2007-08-20 16:36 stskeeps Resolution open => fixed
2007-08-20 16:36 stskeeps Assigned To => stskeeps
2007-08-22 00:01 owine QA Fixed by developer, needs QA testing => QA has accepted the fix